# Method: projects.locations.batches.delete

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/delete#try-it)

Deletes the batch workload resource. If the batch is not in a `CANCELLED`, `SUCCEEDED` or `FAILED` `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches#State`, the delete operation fails and the response returns `FAILED_PRECONDITION`.

### HTTP request

`DELETE https://dataproc.googleapis.com/v1/{name=projects/*/locations/*/batches/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The fully qualified name of the batch to retrieve in the format "projects/PROJECT_ID/locations/DATAPROC_REGION/batches/BATCH_ID" Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dataproc.batches.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).